From: Daniel Sheppard <dans@dansheps.com>
Date: Tue, 24 Jan 2023 13:51:57 -0600
Subject: [PATCH] Update for missing migrations

Obtained from:

https://github.com/DanSheps/netbox-secretstore/commit/9c3f69e5af6f5e8d6af11f5c8ea41433ef51145c

From: Abhimanyu Saharan <desk.abhimanyu@gmail.com>
Date: Wed, 12 Apr 2023 21:01:43 +0530
Subject: [PATCH] fix migrations

Obtained from:

https://github.com/Onemind-Services-LLC/netbox-secretstore/commit/248330409413f1858daf13902fd1b409053fd846.patch

--- netbox_secretstore/migrations/0006_alter_secret_custom_field_data_and_more.py.orig	2023-05-08 17:51:21 UTC
+++ netbox_secretstore/migrations/0006_alter_secret_custom_field_data_and_more.py
@@ -0,0 +1,41 @@
+# Generated by Django 4.1.7 on 2023-04-12 15:31
+
+from django.conf import settings
+from django.db import migrations, models
+import django.db.models.deletion
+import utilities.json
+
+
+class Migration(migrations.Migration):
+
+    dependencies = [
+        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
+        ("netbox_secretstore", "0005_alter_secret_created_alter_secret_id_and_more"),
+    ]
+
+    operations = [
+        migrations.AlterField(
+            model_name="secret",
+            name="custom_field_data",
+            field=models.JSONField(
+                blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder
+            ),
+        ),
+        migrations.AlterField(
+            model_name="secretrole",
+            name="custom_field_data",
+            field=models.JSONField(
+                blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder
+            ),
+        ),
+        migrations.AlterField(
+            model_name="userkey",
+            name="user",
+            field=models.OneToOneField(
+                editable=False,
+                on_delete=django.db.models.deletion.CASCADE,
+                related_name="user_key_secretstore",
+                to=settings.AUTH_USER_MODEL,
+            ),
+        ),
+    ]
